function mpc = matlab_4bus
%Case for master's thesis

%% MATPOWER Case Format : Version 2
mpc.version = '2';

%%-----  Power Flow Data  -----%%
%% system MVA base
mpc.baseMVA = 1000;

%% bus data
%	bus_i	type	Pd	Qd	Gs	Bs	area    Vm	Va	baseKV	zone	Vmax	Vmin
mpc.bus = [
    1   3	0   0	0   0   1   1	0   420 1   1.1 0.9;
	2	2	0	0	0	0   1	1	0	420	1	1.1	0.9;
	3	1	600	0	0	0	1	1	0	420	1	1.1	0.9;
	4	1   600 0	0	0	1	1	0	420	1	1.1	0.9;
];

%% generator data
%	bus	Pg	Qg	Qmax	Qmin	Vg	mBase   status	Pmax	Pmin	Pc1	Pc2	Qc1min  c1max	Qc2min	Qc2max	ramp_agc    ramp_10	ramp_30	ramp_q	apf
mpc.gen = [
	1	600	0	986	-986	1	1357	1	1230    0	0	0	0	0	0	0	0	0	0	0	0;
	2	600	0	986	-986	1	1357	1	1230    0	0	0	0	0	0	0	0	0	0	0	0;
];

%% generator cost data
% model startup shutdown    n   c_2 c_1 c0
mpc.gencost = [
    2   0   0   3   0.05  0 0
    2   0   0   3   0.02  0 0
];

%% branch data
%	fbus	tbus	r	x	b	rateA	rateB	rateC	ratio	angle	status	angmin	angmax
mpc.branch = [
	1	2	0.000860882 0.05    	0   0    0	0    0   0	1	-360	360;
	1	3	0.000860882 0.002353076 0	0       0       0       0	0	1	-360	360;
	2	4	0.000860882	0.002353076	0	0       0       0       0	0	1	-360	360;
	3	4	0.000860882 0.05    	0	0     0     0     0	0	1	-360	360;
];
    